	.reference	___bb_appstub_appstub
	.reference	___bb_astar_astar
	.reference	___bb_audio_audio
	.reference	___bb_bank_bank
	.reference	___bb_bankstream_bankstream
	.reference	___bb_basic_basic
	.reference	___bb_blitz_blitz
	.reference	___bb_bmploader_bmploader
	.reference	___bb_d3d7max2d_d3d7max2d
	.reference	___bb_directx_directx
	.reference	___bb_dxgraphics_dxgraphics
	.reference	___bb_event_event
	.reference	___bb_eventqueue_eventqueue
	.reference	___bb_font_font
	.reference	___bb_freeaudioaudio_freeaudioaudio
	.reference	___bb_freejoy_freejoy
	.reference	___bb_freeprocess_freeprocess
	.reference	___bb_freetypefont_freetypefont
	.reference	___bb_glew_glew
	.reference	___bb_glgraphics_glgraphics
	.reference	___bb_glmax2d_glmax2d
	.reference	___bb_gnet_gnet
	.reference	___bb_jpgloader_jpgloader
	.reference	___bb_macos_macos
	.reference	___bb_maxutil_maxutil
	.reference	___bb_oggloader_oggloader
	.reference	___bb_pngloader_pngloader
	.reference	___bb_retro_retro
	.reference	___bb_tgaloader_tgaloader
	.reference	___bb_timer_timer
	.reference	___bb_wavloader_wavloader
	.reference	___bb_win32_win32
	.reference	_bbNullObject
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.reference	_bbStringConcat
	.reference	_bbStringFromInt
	.reference	_brl_graphics_Graphics
	.reference	_brl_max2d_CreateImage
	.reference	_brl_max2d_GrabImage
	.reference	_brl_max2d_LockImage
	.reference	_brl_pngloader_SavePixmapPNG
	.globl	__bb_main
	.text	
__bb_main:
	push	%ebp
	mov	%esp,%ebp
	sub	$16,%esp
	push	%ebx
	sub	$20,%esp
	cmpl	$0,_27
	je	_28
	mov	$0,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_28:
	movl	$1,_27
	movl	$_bbNullObject,-4(%ebp)
	movl	$_bbNullObject,-8(%ebp)
	movl	$0,-12(%ebp)
	movl	$0,-16(%ebp)
	movl	%ebp,4(%esp)
	movl	$_18,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_appstub_appstub
	call	___bb_audio_audio
	call	___bb_bank_bank
	call	___bb_bankstream_bankstream
	call	___bb_basic_basic
	call	___bb_bmploader_bmploader
	call	___bb_d3d7max2d_d3d7max2d
	call	___bb_dxgraphics_dxgraphics
	call	___bb_event_event
	call	___bb_eventqueue_eventqueue
	call	___bb_font_font
	call	___bb_freeaudioaudio_freeaudioaudio
	call	___bb_freetypefont_freetypefont
	call	___bb_glgraphics_glgraphics
	call	___bb_glmax2d_glmax2d
	call	___bb_gnet_gnet
	call	___bb_jpgloader_jpgloader
	call	___bb_maxutil_maxutil
	call	___bb_oggloader_oggloader
	call	___bb_pngloader_pngloader
	call	___bb_retro_retro
	call	___bb_tgaloader_tgaloader
	call	___bb_timer_timer
	call	___bb_wavloader_wavloader
	call	___bb_astar_astar
	call	___bb_directx_directx
	call	___bb_freejoy_freejoy
	call	___bb_freeprocess_freeprocess
	call	___bb_glew_glew
	call	___bb_macos_macos
	call	___bb_win32_win32
	movl	$_8,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,16(%esp)
	movl	$60,12(%esp)
	movl	$0,8(%esp)
	movl	$480,4(%esp)
	movl	$640,(%esp)
	call	_brl_graphics_Graphics
	movl	$_10,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$-1,12(%esp)
	movl	$1,8(%esp)
	movl	$480,4(%esp)
	movl	$640,(%esp)
	call	_brl_max2d_CreateImage
	movl	%eax,-4(%ebp)
	movl	$_12,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,12(%esp)
	movl	$0,8(%esp)
	movl	$0,4(%esp)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_GrabImage
	movl	$_13,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,12(%esp)
	movl	$1,8(%esp)
	movl	$0,4(%esp)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_LockImage
	movl	%eax,-8(%ebp)
	movl	$_15,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$5,8(%esp)
	movl	-12(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbStringFromInt
	movl	%eax,4(%esp)
	movl	$_4,(%esp)
	call	_bbStringConcat
	movl	$_5,4(%esp)
	movl	%eax,(%esp)
	call	_bbStringConcat
	movl	%eax,4(%esp)
	movl	-8(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_pngloader_SavePixmapPNG
	movl	%eax,-16(%ebp)
	mov	$0,%ebx
_6:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_27:
	.long	0
_19:
	.asciz	"dumbass"
_20:
	.asciz	"Screen"
_21:
	.asciz	":brl.max2d.Timage"
_22:
	.asciz	"Screentemp"
_23:
	.asciz	":brl.pixmap.TPixmap"
_24:
	.asciz	"slot"
_25:
	.asciz	"i"
_26:
	.asciz	"savedpic"
	.align	4
_18:
	.long	1
	.long	_19
	.long	2
	.long	_20
	.long	_21
	.long	-4
	.long	2
	.long	_22
	.long	_23
	.long	-8
	.long	2
	.long	_24
	.long	_25
	.long	-12
	.long	2
	.long	_26
	.long	_25
	.long	-16
	.long	0
_9:
	.asciz	"/Applications/Programming/SoundlessMountainIIv0-7/dumbass.bmx"
	.align	4
_8:
	.long	_9
	.long	1
	.long	1
	.align	4
_10:
	.long	_9
	.long	2
	.long	3
	.align	4
_12:
	.long	_9
	.long	4
	.long	3
	.align	4
_13:
	.long	_9
	.long	6
	.long	3
	.align	4
_15:
	.long	_9
	.long	8
	.long	3
	.align	4
_4:
	.long	_bbStringClass
	.long	2147483647
	.long	5
	.short	115,97,118,101,47
	.align	4
_5:
	.long	_bbStringClass
	.long	2147483647
	.long	4
	.short	46,112,110,103
